/*
 * $Id: IndexAccessException.java,v 1.4 2006/02/15 16:23:59 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.indexer;

/**
 * インデックスアクセス時に発生する例外
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class IndexAccessException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -3242602081503389445L;

	/**
	 * コンストラクタ
	 */
	public IndexAccessException() {
		super();
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public IndexAccessException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public IndexAccessException(Exception e) {
		super(e);		
	}
}
// end of IndexAccessException.java
